Submit a signed ownership proof
POST
/v1/wallets/{wallet_id}/ownership-proof
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.feitpay.com/v1/wallets/example/ownership-proof"
payload := strings.NewReader("{ \"signature\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.feitpay.com/v1/wallets/example/ownership-proof';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"signature":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.feitpay.com/v1/wallets/example/ownership-proof \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "signature": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”wallet_id
required
string
Header Parameters
Section titled “Header Parameters”Gryphem-Organization
string
Active organization for dashboard sessions. Ignored for API keys (the key determines the organization).
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
signature
required
EIP-191 0x-hex (65 bytes) or BIP-137 base64 compact signature.
string
Example generated
{ "signature": "example"}Responses
Section titled “Responses”Verification result.
Media typeapplication/json
object
id
required
string
object
required
string
livemode
required
boolean
store_id
required
string
network_id
required
string
label
required
string
mode
required
string
address_type
required
string
xpub_fingerprint
required
string | null
derivation_template
required
string | null
status
required
string
next_index
required
integer
gap_limit
required
integer
last_used_index
required
integer | null
ownership
required
object
status
required
string
verified_at
required
string | null format: date-time
created_at
required
string format: date-time
Example
{ "object": "wallet", "mode": "simulated", "address_type": "p2wpkh", "status": "active", "ownership": { "status": "unverified" }}Missing or invalid credentials.
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Authenticated but not permitted.
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Resource not found (or not visible to this tenant).
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Validation failed.
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Too many requests. See Retry-After.
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}Headers
Section titled “Headers”Retry-After
integer